# TiDLer

*Tidal music downloader based on the hifi-tui API*

## Requirements
- `jq`, `bash`, `curl`

## TODO
- Create install scripts/guides
- Migrate from Bash to a POSIX-compliant shell
- Add Cover, and other metadata to ID3 tag
- Lyrics download
- Implement search & download for playlists, albums, and artists
- Support downloading multiple search results
- Allow users to choose audio quality (currently defaults to LOSSLESS)
- Add a configuration file
- Add default save directory 

## Using
- Download repository: `git clone https://medvidek77.tech/Medvidek77/tidler.git && cd tidler`
- (Optional) use unstable version: `git checkout dev`
- Add permissions as root: `chmod +x src/tidler`
- Run: `src/tidler`
- Enjoy! :)